"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index = require("../../../_utils/cssr/index.js");
const style = index.cB("icon", `
 height: 1em;
 width: 1em;
 line-height: 1em;
 text-align: center;
 display: inline-block;
 position: relative;
 fill: currentColor;
 transform: translateZ(0);
`, [index.cM("color-transition", {
  transition: "color .3s var(--n-bezier)"
}), index.cM("depth", {
  color: "var(--n-color)"
}, [index.c("svg", {
  opacity: "var(--n-opacity)",
  transition: "opacity .3s var(--n-bezier)"
})]), index.c("svg", {
  height: "1em",
  width: "1em"
})]);
exports.default = style;
